Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be unavailable on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1418749 - authentication_key exposure missing from EMS service model in 4.2GA
Summary: authentication_key exposure missing from EMS service model in 4.2GA
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Automate
Version: 5.7.0
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: GA
: 5.7.1
Assignee: Greg McCullough
QA Contact: Milan Falešník
URL:
Whiteboard:
Depends On: 1418367
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-02-02 16:04 UTC by Satoe Imaishi
Modified: 2017-02-27 19:30 UTC (History)
8 users (show)

Fixed In Version: 5.7.1.1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1418367
Environment:
Last Closed: 2017-02-27 19:30:54 UTC
Category: ---
Cloudforms Team: ---
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:0320 0 normal SHIPPED_LIVE Moderate: CFME 5.7.1 bug fixes and enhancement update 2017-02-28 00:13:26 UTC

Comment 2 CFME Bot 2017-02-02 16:10:48 UTC
New commit detected on ManageIQ/manageiq/euwe:
https://github.com/ManageIQ/manageiq/commit/8a17c240ffae0d9b09914c4eb37e19a7009b85b6

commit 8a17c240ffae0d9b09914c4eb37e19a7009b85b6
Author:     Greg Blomquist <blomquisg@gmail.com>
AuthorDate: Wed Nov 2 18:10:18 2016 -0400
Commit:     Satoe Imaishi <simaishi@redhat.com>
CommitDate: Thu Feb 2 11:02:20 2017 -0500

    Merge pull request #12301 from supernoodz/expose_authentication_key
    
    Expose authentication_key in EMS service model
    (cherry picked from commit 0c6978e734d86c0924b881cec6a489debb180c47)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1418749

 .../service_models/miq_ae_service_ext_management_system.rb               | 1 +
 1 file changed, 1 insertion(+)

Comment 3 Milan Falešník 2017-02-09 12:53:03 UTC
Verified in 5.7.1.1

Container provider has .authentication_key in automate and that contains the token.

Comment 5 errata-xmlrpc 2017-02-27 19:30:54 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2017-0320.html


Note You need to log in before you can comment on or make changes to this bug.